# Changed by Makefile of cvs.
# do not edit here, but in cvs/soft/control-center

# needed to properly rebuild for 10.0
%define _requires_exceptions perl(lang)

Summary:  The Mandrakelinux Control Center 
Name:     drakconf
Version:  10.1
Release:  2mdk
# get the source from our cvs repository (see
# http://www.linuxmandrake.com/en/cvs.php3)
Source0:  %name-%version.tar.bz2
Source1:  drakconf16.png
Source2:  drakconf32.png
Source3:  drakconf48.png
License:  GPL
Group:    System/Configuration/Other
Url:      http://www.mandrakelinux.com/en/cvs.php3
Obsoletes: DrakConf
Provides: DrakConf
BuildRequires: gettext intltool
BuildRequires: perl-MDK-Common-devel
Requires: mandrake-release, drakxtools > 10-56mdk
Requires: harddrake-ui > 10-12mdk, popt >= 1.6.4-24mdk, usermode
Requires: perl-Gtk2 >= 1.023-1mdk, perl-Gnome2-Vte
Requires: gtk+2.0 >= 2.2.0-3mdk, perl-MDK-Common => 1.0.4-16mdk
#Requires: drakcronat >= 0.1.3-1mdk # currenly broken, actually waiting for gtk+-2.x port completion
Requires: menudrake >= 0.7.2-1mdk, userdrake => 0.92-6mdk
BuildRoot: %_tmppath/%name-%version-buildroot
Conflicts: rpmdrake < 2.1.2-5mdk

%description
drakconf includes the Mandrakelinux Control Center which is an interface to 
multiple utilities from DrakXtools.

%prep
%setup -q

%build
perl -pi -e 's/^use strict/#use strict/g' control-center

%install
rm -fr $RPM_BUILD_ROOT
%makeinstall_std

#install lang
%find_lang %name

#install menu
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/drakconf << EOF
?package(%{name}): needs="x11" icon="drakconf.png" section="Configuration" title="Configure Your Computer" longtitle="System configuration tool" command="%_sbindir/%name"
EOF

#install menu icon
mkdir -p %buildroot/{%_miconsdir,%_liconsdir}
install -m644 %SOURCE1 %buildroot/%_miconsdir/drakconf.png
install -m644 %SOURCE2 %buildroot/%_iconsdir/drakconf.png
install -m644 %SOURCE3 %buildroot/%_liconsdir/drakconf.png

#this allow user to use drakconf
ln -sf %_bindir/drakconf %buildroot/%_sbindir/drakconf

install -d %buildroot/etc
touch %buildroot/etc/mcc.conf

for i in %buildroot{%_sbindir,%_bindir}/mcc; do ln -s {drakconf,$i}; done
mkdir -p %buildroot/usr/X11R6/bin/
echo -e "#\!/bin/sh\nexec /usr/bin/mcc" > %buildroot/usr/X11R6/bin/DrakConf

%post
%update_menus

%postun
%clean_menus

%triggerun -- %name < 9.0-0.6mdk
[[ -s /root/.mcc ]] && cp -af /root/.mcc /etc/mcc.conf; :

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog
%config(noreplace) %ghost /etc/mcc.conf
%config(noreplace) /etc/gnome-vfs-2.0/vfolders/*
%_bindir/*
%_sbindir/*
%attr(755,root,root) /usr/X11R6/bin/DrakConf
%_menudir/drakconf
%_miconsdir/*.png
%_iconsdir/*.png
%_liconsdir/*.png
%dir %_datadir/mcc
%_datadir/mcc/desktop
%dir %_datadir/mcc/themes/
%_datadir/mcc/themes/default


%changelog
* Fri Oct  1 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-2mdk
- start drakups in wizard mode

* Thu Sep 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-1mdk
- show UPS icon

* Fri Sep 24 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-0.7mdk
- hide main XFdrake icon

* Mon Sep 13 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-0.6mdk
- enable to start directly with drakwizard
- show LDAP wizard

* Mon Sep 13 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-0.5mdk
- add hidden entries for localedrake and drakauth
- accept tags with spaces with --start-with option
- about dialog:
  o fix utf-8 issues
  o fix parsing new CREDITS file

* Wed Sep  8 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-0.4mdk
- main notebook (better respect of l10n):
  o let labels wrap
  o enable the main notebook to scroll:
- about dialog: display translator name
- fix menu entry capitalization (thus reusing simplified menu string)
- translation snapshot

* Wed Sep  1 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-0.3mdk
- new design
- add support for the '--start-with=foobar' command line option that
  enable to start mcc directly with specified applet

* Fri Aug 27 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-0.2mdk
- translation update
- fix about dialogs (credits got broken by mandrakelinux-release
  package renaming)
- PXE wizard is dead
- fix special "<control>" entries (pablo)
- make web wizard description more accurate (#8153)
- drakconsole: add a title for when one run it not from mcc

* Thu Jul 22 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-0.1mdk
- sync with new drakconnect API

* Tue Jun 15 2004 Daouda LO <daouda@mandrakesoft.com> 10-14mdk
- embed rfbdrake (Online Administration section)
- fix buildrequires (Per yvind Karlsen)
- fix profiles garbage (tvignaud, #9278)

* Wed Apr 14 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10-13mdk
- remove stock icon from button
- display drakcronat icon if installed

* Wed Mar 24 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10-12mdk
- show up kolab wizard entry 
- call drakfax_server instead of drakfax

* Wed Mar 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10-11mdk
- fix distribution name in about dialog

* Tue Mar  9 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10-10mdk
- switch from Mandrake to Mandrakelinux
- when a tool exits, reset its icon cursor to hand cursor, not left pointer
- fix watch cursor after tool exit (#7785)

* Wed Mar  3 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10-9mdk
- handle handle --geometry
- update online administration icons

* Tue Mar  2 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10-8mdk
- add entry for drakfax
- drakconsole: add a "close" button (#7257)

* Mon Mar  1 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10-7mdk
- fix spacing around embedded tool banner's separator with some theme

* Mon Mar  1 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10-6mdk
- add a separator below embedded tool banner
- still show class banner while wait animation is up
- hide drakautoinst for now since it's broken
- slow down color fading
- update boot and network icons
- update splash screen (image, spacing)

* Mon Mar  1 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10-5mdk
- fix icon background on theme switch
- lighter cpu usage in wait area

* Fri Feb 27 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10-4mdk
- when embedding a tool, display its own icon and name rather than
  class ones

* Fri Feb 27 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10-3mdk
- keybard navigation (#805)
- fix spacing around copyright notice in about dialog
- paint icon background with current theme color rather than with
  hardcoded white

* Fri Feb 27 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10-2mdk
- splash screen:
  o show back again mcc string
  o use new background
- fix fading: reset background color to current theme color on each
  run

* Thu Feb 26 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10-1mdk
- new about dialog look
- updated splash screen
- fading when starting an embedded toolt

* Tue Feb 17 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10-0.8mdk
- embedd rpmdrake

* Fri Feb 13 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10-0.7mdk
- fix CREDITS parsing due to new format (#7482)

* Fri Feb 13 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10-0.6mdk
- fixed banner style
- upcate spanish, walloon and welsh translations

* Fri Feb 13 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10-0.5mdk
- new banner style

* Thu Feb 12 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10-0.4mdk
- use right section icon in banner
- 640x480 resolution support:
  o let main screen be scrollable for small screen owners
  o enable minimum size to be 620x460 (#1048)
- upcate catalan and welsh translations
- add park-rpmdrake entry

* Wed Feb 11 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10-0.3mdk
- bump version number (#7544)
- update translations
- remove deprecated "add a client into dns" wizard

* Mon Feb  2 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10-0.2mdk
- add NIS+auto, install server and pxe server wizards
- hide drakfloppy entry b/c kernel is way too big...

* Fri Jan 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10-0.1mdk
- translation snapshot

* Tue Jan 20 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.3-26mdk
- translation snapshot

* Sun Jan 18 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.3-25mdk
- add a vte based terminal to fix "no menu entry for rxvt" bug
- embedd new console
- update a few icons

* Wed Jan 14 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.3-24mdk
- new boot theme icon
- gnome control-center entries got updated (fcrozat)
- fix boot loader name
- do not push anymore help menu at right (#6844)

* Fri Jan  9 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.3-23mdk
- new icon set

* Fri Jan  9 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.3-22mdk
- make sure the button bar always has the same size whether there're
  visible buttons or not
- add spacing around buttons in bottom bar as requested by ln

* Fri Jan  9 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.3-21mdk
- do not hide banner while embedding tools
- alter banner spacing & font size as requested by ln

* Thu Jan  8 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.3-20mdk
- fix focus when tool exits
- show buttons bar again when embedded tool exits

* Wed Jan  7 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.3-19mdk
- add some spacing
- remove relief in wait for tool area
- move cancel button in button bar
- hide button bar when embedded tool is displayed
- add horizontal separators

* Wed Jan  7 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.3-18mdk
- ensure button bar is always shown
- hide previous button in button bar on startup
- fix #6761 ("Previous" button hidden when closing an embedded tool)

* Tue Jan  6 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.3-17mdk
- new web like look 'n feel
- hide "expert mode in wizards" option since new wizards do not
  support it anymore
- always embedd
- fix crash on proxy config startup
- drakboot has been split between bootloader and autologin
  configuration; let make mcc aware of it
- tool startup feedback:
  o prevent running twice the same tool
  o show a watch cursor on icon while starting up the tool
- do not embedd anymore logs

* Mon Dec 29 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.3-16mdk
- save current profile before switching
- handle profiles with more than one space/underscore in their name
- remove useless extra separator on top of profiles menu (look weird)

* Fri Dec 19 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.3-15mdk
- make logs behaviour more coherent while in summary

* Fri Dec 19 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.3-14mdk
- enable to shrink back the mcc
- push help menu at right
- hide logdrake when embedding mousedrake since the later won't fit if
  logs are displayed

* Thu Dec 18 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.3-13mdk
- do not do anything when try to switch to current profile
- ask confirmation before switching between profiles
- invert mistakely inverted global width and heigth
- when deleting a profile:
  o offer to select which one to delete
  o prevent to delete current profile

* Thu Dec 18 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.3-12mdk
- start/show/hide logdrake instantaneously
- remove frame around the "wait while starting" animation
- save/restore geometry

* Wed Dec 17 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.3-11mdk
- embed server wizards
- make some images survive theme switch
- no stock items
- prevent left item strings wrapping to be altered when cursor is over

* Tue Dec  9 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.3-10mdk
- profiles managment

* Thu Dec  4 2003 Daouda LO <daouda@mandrakesoft.com> 9.3-9mdk
- added online web administration (remote administration)

* Tue Nov 25 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.3-8mdk
- support mdkmove

* Fri Nov 21 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.3-7mdk
- fix killing
- restart logdrake on tool startup if needed
- misc internal cleanups
- make mcc quite a lot more robust when the embedded tool died between
  the moment it sent plug-added to mcc and the moment the signal is
  processed by mcc:
  o explicitely destroy embedded tool socket in that case (which
    resulted in some white space left on top of the next embedded
    tool)
  o do not crash while setting focus on a child that has just returned
    to the void

* Fri Nov 21 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.3-6mdk
- fix #6398: use the menu icon as window icon instead of default x11 one

* Wed Nov 19 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.3-5mdk
- skip missing entries
- do not add empty classes

* Mon Nov 17 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.3-4mdk
- do not hide logs when non embedded
- kill logdrake even when not in embedded mode too on exit else
  logdrake will still parse logs and issues gtk+ warnings on console
- reap non embedded tools when they exit else they'll stay in zombie
  state and needlessly lock some memory until mcc exits and init reap
  them
- update translations

* Fri Nov 14 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.3-3mdk
- use the contributors list translation infrastructure
  (only french is translation is provided for now)

* Fri Nov 14 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.3-2mdk
- move clock.pl into drakxtools

* Thu Nov  6 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.3-1mdk
- clock.pl: suport ntp (daouda)
- enable to translate contributors list
- fix --help when using drakconf wrapper
- update translations

* Fri Sep 12 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.2-4mdk
- do not embed console (broken on gnome-2.4)
- fix #5455: show wizards again
- fix #5493: directly run menudrake as root since su does not anymore
  support propaging x cookie because of security issues
- update translations
- contextual help: point on right section rather than on first section
  tool (daouda)

* Thu Sep  4 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.2-3mdk
- list mandrake linux contributors in about dialog
- hide wizards until they've all been converted

* Wed Sep  3 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.2-2mdk
- new printerdrake:
  o do not embed anymore because it has now a menu bar and is too big
  o do not list it anymore on console since it now works only on x11
- update translations
- do not requires broken drakcronat anymore
- use new drakhelp
- reembed rxvt again

* Mon Aug 25 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.2-1mdk
- introduction text:
  o smoother margins
  o only vertically scroll 
- update translations

* Tue Aug 19 2003 David Baudens <baudens@mandrakesoft.com> 9.2-0.14mdk
- Update name in menu

* Tue Aug 19 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.2-0.13mdk
- update splash screen images (#4507)
- hide drakfloppy when there's no floppy drive

* Mon Aug 18 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.2-0.12mdk
- bump release number to 9.2 in window title
- typo fixes
- translation updates

* Fri Jul 25 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.2-0.11mdk
- do not hide anymore logs with drakboot

* Fri Jul 25 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.2-0.10mdk
- contextual help (daouda)

* Mon Jul 21 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.2-0.9mdk
- really fix the spacing problem around embedded tools

* Thu Jul 17 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.2-0.8mdk
- fix the spacing problem around embedded tools
- fix DIRM(%_datadir/mcc/themes/) catched by distriblint

* Wed Jul 16 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.2-0.7mdk
- clock.pl:
  o use stock icons and std layout
  o do not use any gnome widgets for now

* Tue Jul 15 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.2-0.6mdk
- menudrake wrapper: 
  o use option menu rather than non editable combo
  o use stock items

* Thu Jul 10 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.2-0.5mdk
- fix clock.pl

* Wed Jul  9 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.2-0.4mdk
- switch to gtk2-perl-xs
- flip images for rtl languages (aka hebrew, arab)
- use stock icons

* Tue Jul  1 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.2-0.3mdk
- left texts alignment:
  o prevent side-effects of latest ugtk2 update
  o latest changes and optimize 

* Thu May 22 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.2-0.2mdk
- requires: fix #3485

* Mon May 19 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.2-0.1mdk
- clock.pl: fix #3948

* Tue Apr 22 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.1-14mdk
- move dm chooser in system class
- do not die if icons get deleted

* Mon Mar 31 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.1-13mdk
- hide rxvt in chinese environment since it segfaults

* Thu Mar 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.1-12mdk
- fix #2439 (menu wrapper vs menudrake vs x11 auth)
- fix #3415 (do not kill explicitely non embeddable processes when
  killing embedded tools)

* Fri Mar 14 2003 David BAUDENS <baudens@mandrakesoft.com> 9.1-11mdk
- Use new icon for menu and panels

* Wed Mar 12 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.1-10mdk
- fix startup faillure saw by some people in very rare cases

* Mon Mar 10 2003 David BAUDENS <baudens@mandrakesoft.com> 9.1-9mdk
- Update icons

* Mon Mar 10 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.1-8mdk
- fix #156 (displaying 7:00 in clock.pl)

* Fri Mar  7 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.1-7mdk
- make mcc more robust against fork()/exec() faillures

* Thu Mar  6 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.1-6mdk
- hide explanations for logdrake too since it's too big
- update translations
- disable userdrake embedding for now since it ignore SIG_TERM, thus
  break embedding when canceled from mcc (reported by qa)
- remove debugging traces
- remove firewall wizard on warly request

* Mon Mar  3 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.1-5mdk
- do not embedd rxvt (fix #1619)
- updated translations

* Tue Feb 25 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.1-4mdk
- fix keyboarddrake embedding (do not pass extra argument after
  --embedded)
- make wait area be mcc theme aware
- fix display cleaning when embedded process crash

* Fri Feb 21 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.1-3mdk
- remove gtk+ critical messages
- clean up embedded processes apparition and exit: it's now impossible
  for a died child to freeze the mcc :-)
- fix hide/show behaviour of explanation logs
- fix explanations hiding for too big tools (drakconnect and the like)

* Thu Feb 20 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.1-2mdk
- fix translation in clock/menu/printer wrappers
- fix #1922 (clock.pl crash)

* Thu Feb 20 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.1-1mdk
- translation snapshot (ar, it, pt, pt_BR, ta)

* Wed Feb 19 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.1-0.22mdk
- translations snapshot (es, et, fr, it, pl, sq, sv, ta, tg)
- add display manager (drakedm)
- i18n fix (gc)

* Mon Feb 17 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.1-0.21mdk
- fix embedded clock display (#1619)
- translation updates

* Sat Feb 15 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.1-0.20mdk
- translations snapshot
- fix russian translation

* Thu Feb 13 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.1-0.19mdk
- translations snapshot

* Thu Feb 13 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.1-0.18mdk
- clock.pl: keep constant clock size
- fix non embedded rxvt (#1346)
- better space management around right icons table
- fix infamous "mcc can be enlarged but icons never shrink back"
- add the introduction text
- paint log explanation frame backround in white too, aka enforce the
  mcc style
- external x11 apps embedding window extraction:
  o reduce its overhead by doing simple fork+exec rather than full
    shell forks
  o make it more usuable on fast system by not eating cpu power in
    kernel::schedule(), thus letting rxvt embedding a lot faster

* Tue Feb 11 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.1-0.17mdk
- requires a recent enough perl-GTK2
- fix help url
- fix background rendering with pixmap gtk engines
- fix crash on embedded app exit
- updated portugues translation (pablo)

* Mon Feb 10 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.1-0.16mdk
- complete default theme

* Thu Feb  6 2003 Damien Chaumette <dchaumette@mandrakesoft.com> 9.1-0.15mdk
- new default theme

* Wed Feb  5 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.1-0.14mdk
- definitive fix for broken translation
- updated translations
- clock.pl:
  o make it work again in embedded mode (was broken by closure return
    values propagation fix in perl-GTK2) (pixmap now don't show up in
    embedded mode-- will be fixed later)
  o simplify gui contruction through ugtk2
  o if we're under kde and we alter the date, restart the kicker Panel
    so that it display the updated date
o use new drakxtools help packages

* Wed Jan 29 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.1-0.13mdk
- fix l10n

* Tue Jan 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.1-0.12mdk
- fix memory leak in animation when whating for embedded app to show up
- restore modal behaviour
- remove banner, save place -> now mcc fits in 800x600
- english proof reading (pablo)
- update polish translation (alus)

* Mon Jan 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.1-0.11mdk
- alter build system to remove warnings

* Mon Jan 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.1-0.10mdk
- after the "fixes them all" drakxtool releases, the "fix most of
  them" mcc release:
- fix program path when non embedded
- fix splash window while loading an embedded program : make it nice
  again
- fix "embedded program only show up when the user explicitely
  switches windows"
- fix "BUG with LANGUAGE XX" debug assertion when wizards are not
  installed
- kill logdrake and embedded app on exit, thus fixing embedded app was
  not killed on exit and thus badly crash on x display lost with lot
  of annoying messages on the console :-(
- fix help entry's text in help menu (daouda sucked on this bug, wow!,
  his new help system is wonderful!!!)
- "about" window :
  o typo fix
  o contributor list get focus which is not displayed nicely
- fix drakfirewall, harddrake, konqueror & nautiluse caps so that they
  got displayed like all other tool names
- better fix for inexistant widgets because of i18n bugs (this will
  only result in no entry menu to switch that or that option)
- keep current options setting on exit even for eg: wizard option wich
  can only be set when wizards are installed. thus if one remove
  wizards, his wizard options are kept and will be there as before
  when he'll install them back.
- do not pass --embedded to rxvt, it does *not* like it
- various other cleanups and simplifications
- clean theme changing: kill all embedded app (tools *AND* logdrake)
- restore old behaviour: clicking on another section cancel the
  current embedded application.
- menudrake wrapper sort users by lexical order, but keep root as
  first shown user
- enhanced rendering on right part: much nicer and smoother as for
  text alignment on icons.
- translation updates (pablo)
- let console be cancelable

* Tue Jan 21 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.1-0.9mdk
- better describe tools (Alastair Scott)

* Fri Jan 17 2003 Daouda LO <daouda@mandrakesoft.com> 9.1-0.8mdk
- drakhelp support

* Thu Jan 16 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.1-0.7mdk
- convert time setting, menudrake & printerdrake wrapper to gtk+2
- embedding is back

* Fri Dec 20 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.1-0.6mdk
- new chritmas icon set
- add a default value for old users that did not have the expert
  option for drakwizard saved
- don't print warnings while the main window is not yet up
- just catch exceptions if translations're broken or options're
  missing
- center left icons
- make left icons bigger on selection
- better reaping of dead zombies sub processes:
  o non blocking reaping
  o reap all dead children
- better error message on fork faillure

* Thu Dec 19 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.1-0.5mdk
- install missing rc file

* Thu Dec 19 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.1-0.4mdk
- gtk+2 port
- lot of cleaning

* Wed Nov 27 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.1-0.3mdk
- fix bad side effect of c-z by using a wrapper
- make mcc more robust against embeded prog crashes
- code cleaning
- test we really have access to X11 server
- add a note for translators about locale bug
- simplify and make more robust the logdrake interaction

* Mon Nov 18 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.1-0.2mdk
- clock.pl, menus_launcher.pl and print_launcher.pl :
  o use my_gtk to
    * transparently handle embedding
    * ease future gtk2 port
    * simplify code
  o kill dead code
- mcc : global workaround for broken locales

* Fri Nov 15 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.1-0.1mdk
- bump version
- require a drakxtools package that is enough recent
- set textdomain earlier than locale initialization so that messages
  get really translated

* Thu Nov 14 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.0-8mdk
- fix interactive drakxconf
- lots of cleanups for perl_checker and strict mode
- resync with latest libDrakx changes

* Wed Nov  6 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.0-7mdk
- resync with latest libDrakx changes

* Tue Oct 29 2002 Stefan van der Eijk <stefan@eijk.nu> 9.0-6.2mdk
- BuildRequires: gettext

* Mon Oct  7 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.0-6.1mdk
- fix sl translations
- workaround for nl and sl locales (daouda)

* Fri Sep 20 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.0-6mdk
- fix DrakConf (mdk8.2 compatibility link) : sh needs passing -e to
  echo unlike full bash

* Wed Sep 18 2002 Daouda LO <daouda@mandrakesoft.com> 9.0-5mdk
- kill logdrake after exiting mcc aka ts.
- updated po

* Wed Sep 18 2002 Daouda LO <daouda@mandrakesoft.com> 9.0-4mdk
- non embedded apps (for instance rpmdrake) should not quit when 
  switching section in mcc.
- do not call set_active method on menu widgets while in chinese locale.

* Tue Sep 17 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.0-3mdk
- fix ui freeze with embedded x11 app

* Fri Sep 13 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.0-2mdk
- kill warning: once logdrake run, don't restart a new one
- don't kill logdrake
- don't kill applications if they're not embedded when we switch on
  another notebook page
- update translations
- added drakboot too list of not "displaying logs" apps (daouda)

* Mon Sep  9 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.0-1mdk
- thierry:
	o don't go back to main notebook page when clicking on title
	  since it's both not classic and result in hidden pending apps
	o add /usr/X11R6/bin/DrakConf compatibility link for mdk8.2
	  bookmarks & desktop icons
- daouda & dams: 
	o fix banner crash
- daouda:
	o Restore normal cursor when exiting drakconf.

* Sat Sep  7 2002 Daouda LO <daouda@mandrakesoft.com> 9.0-0.32mdk
- (fork / exec)  replaces system for non embeddable app:
   fix for rpmdrake, drakwizard freezes

* Fri Sep  6 2002 Daouda LO <daouda@mandrakesoft.com> 9.0-0.31mdk
- hide logs when drakfont is embedded (ergonomy)

* Fri Sep  6 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.0-0.30mdk
- requires embeded aware drakcronat, drakxtools and draksec
- rip zombies files but third party ones (aka infamous console)

* Fri Sep  6 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.0-0.29mdk
- big icon animation while starting an application
- don't display logs when back in main summary
- lot of cleanups

* Fri Sep  6 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.0-0.28mdk
- animated icon while launching an application

* Thu Sep  5 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.0-0.27mdk
- fix flickering
- fix centerage (better and size independant now)

* Thu Sep 05 2002 David BAUDENS <baudens@mandrakesoft.com> 9.0-0.26mdk
- Update icons, authors and copyright

* Wed Sep  4 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.0-0.25mdk
- add tv and drakperm icons

* Wed Sep  4 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.0-0.24mdk
- add drakperm in Security
- don't crash apps by disabling logs while there're pending apps

* Wed Sep  4 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.0-0.23mdk
- embbed drakbackup, drakcronat, draksec
- requires embbeded aware  drakcronat, draksec and drakxtools
- requires userdrake

* Tue Sep 03 2002 David BAUDENS <baudens@mandrakesoft.com> 9.0-0.22mdk
- Update icons

* Tue Sep  3 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.0-0.21mdk
- new services icons
- make icon look more transparent when the mouse cursor is on them

* Mon Sep  2 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.0-0.20mdk
- fix xfdrake entry
- require drakxtools >= 1.1.9-29mdk for checking ugtk

* Mon Sep  2 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.0-0.19mdk
- new background under main text
- don't display log on first notebook page
- tinyfirewall is now drakfirewall
- update translations

* Mon Sep  2 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.0-0.18mdk
- update translations (fr, pl)
- add mcc link
- as per ln advice, use more various icons for wizards

* Sat Aug 31 2002 Daouda LO <daouda@mandrakesoft.com> 9.0-0.17mdk
- s/diskdrake-cdwriter.png/diskdrake_cdwriter.png/ (hopefully only
  users with cd burners are affected) (deush)

* Fri Aug 30 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.0-0.16mdk
- fix requires on gdk-pixbuf
- fix icon position in left column (2 pixels down)

* Fri Aug 30 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.0-0.15mdk
- use pixbufs to render icons with alpha blendering (much nicer rendering)
- requires drakxtools >= 1.1.9-27mdk for alpha layer aware ugtk.pm
- requires perl-GTK-GdkPixBuf
- use new ln's icon set

* Wed Aug 28 2002 Daouda LO <daouda@mandrakesoft.com> 9.0-0.14mdk
- added drakxconf back (updates apps) 
- move themes from %_datadir/mcc to %_datadir/mcc/themes since fred
  has added gnome files in the directory we put themes, thus making a
  bogus "desktop" them appears in menu (tvignaud)

* Mon Aug 26 2002 Daouda LO <daouda@mandrakesoft.com> 9.0-0.13mdk
- remove CHLD wait signal handler which prevent non perl-Gtk programs 
  (console, menudrake...)  to be embedded.

* Mon Aug 26 2002 Daouda LO <daouda@mandrakesoft.com> 9.0-0.12mdk
- cleanups explanations socket related code
- Be consistent with enable / disable logs from menu 

* Mon Aug 26 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.0-0.11mdk
- add back tv cards configuration

* Mon Aug 26 2002 Daouda LO <daouda@mandrakesoft.com> 9.0-0.10mdk
- log display fix.

* Fri Aug 23 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.0-0.9mdk
- requires drakxtools >= 1.1.9-20mdk for fixed tinyfirewall
- require draksec

* Fri Aug 23 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.0-0.8mdk
- add drakcronat, drakbackup, tinyfirewall
- fix wrong link in menu (poulpy)
- add support for system-settings for GNOME2 (fcrozat)

* Wed Aug 14 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.0-0.7mdk
- fix move from /root/.mcc to /etc/mcc.conf

* Tue Aug 13 2002 Pixel <pixel@mandrakesoft.com> 9.0-0.6mdk
- add WebDAV entry
- replace /etc/mcc with /etc/mcc.conf (?)
- create the ghost file at build time to make rpm happy

* Mon Aug 12 2002 Daouda LO <daouda@mandrakesoft.com> 9.0-0.5mdk
- cleanups
- config file is /etc/mcc not /root/.mcc (titi)
- fix log display 

* Tue Aug  6 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 9.0-0.4mdk
- add missing rpmdrake icons
- Thierry Vignaud:
	o fixes for strict mode
	o add userdrake and fix system/users
	o kill dead code
	o simplify compute_exec_string()
	o perl_checker fixes
	o really remove logdrake which is in drakxtools now

- Damien Chaumette:
	o add new rpmdrake
	o workaround for system/console
	o little fix
	o Add drakwizard

* Thu Aug 01 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.0-0.3mdk
- don't require harddrake service, harddrake ui is engough
- various fixes
- vietnamese translation update (pablo)
- Damien Chaumette :
	o little fix
	o Add drakwizard

* Thu Aug 01 2002 David BAUDENS <baudens@mandrakesoft.com> 9.0-0.2mdk
- Move menu entry in Configuration

* Mon Jul 29 2002 Pixel <pixel@mandrakesoft.com> 8.3-0.5mdk
- add Resolution and Monitor (needs the to-be-released drakxtools)

* Tue Jul 23 2002 Damien Chaumette <dchaumette@mandrakesoft.com> 8.3-0.4mdk
- link /usr/bin/drakconf to /usr/sbin to allow simple user to run drakconf

* Mon Jul 15 2002 Damien Chaumette <dchaumette@mandrakesoft.com> 8.3-0.3mdk
- change drakfloppy exec hash

* Thu Jul 11 2002 damien <dchaumette@mandrakesoft.com> 8.3-0.2mdk
- change draknet in drakconnect

* Sun Jun 02 2002 Yves Duret <yduret@mandrakesoft.com> 8.3-0.1mdk
- requires clean up.
- new versioning scheme.
- remove consolehelper dependencies. interactive is here for that.

* Fri Mar 15 2002 dam's <damien@mandrakesoft.com> 0.96-16mdk
- removed broken drakxtv

* Wed Mar 13 2002 dams <damien@mandrakesoft.com> 0.96-15mdk
- no themes by default, due to unilateral decision of mandrakesoft ergonomy team.

* Tue Mar 12 2002 dams <damien@mandrakesoft.com> 0.96-14mdk
- no more userdrake
- coded appropriate dialog for additional themes
- splited package to package and package-themes

* Fri Mar  8 2002 dam's <damien@mandrakesoft.com> 0.96-13mdk
- various bugfixs
- proxy conf
- new splash screen

* Thu Mar  7 2002 dam's <damien@mandrakesoft.com> 0.96-12mdk
- minor bugfixes, tiunyfirewall is back

* Thu Mar  7 2002 dam's <damien@mandrakesoft.com> 0.96-11mdk
- splash screen, better wizard test, rpmdrake bugfixes. userdrake is buggy.

* Sun Mar  3 2002 Pixel <pixel@mandrakesoft.com> 0.96-10mdk
- pass the widget to gtkicons_labels_widget instead of directly passing the font
  => really fix the font in non iso1/iso15

* Sun Mar  3 2002 Pixel <pixel@mandrakesoft.com> 0.96-9mdk
- pass the style to gtkicons_labels_widget instead of directly passing the font
  => fix the font in non iso1/iso15
- include dam's non-commited changelog

* Fri Mar 01 2002 dam's <damien@mandrakesoft.com> 0.96-8mdk
- bugfixes.

* Thu Feb 28 2002 dam's <damien@mandrakesoft.com> 0.96-7mdk
- corrected bad style/fonts.

* Thu Feb 28 2002 dam's <damien@mandrakesoft.com> 0.96-6mdk
- added gnome theme. Enjoy!

* Wed Feb 27 2002 dam's <damien@mandrakesoft.com> 0.96-5mdk
- bug fix

* Wed Feb 27 2002 dam's <damien@mandrakesoft.com> 0.96-4mdk
- new gnome theme. Enjoy

* Tue Feb 26 2002 dam's <damien@mandrakesoft.com> 0.96-3mdk
- bug corrections, themes, ...

* Sun Feb 24 2002 Daouda LO <daouda@mandrakesoft.com> 0.96-2mdk
- launch clock.pl

* Tue Feb 19 2002 dams <damien@mandrakesoft.com> 0.96-1mdk
- updated drakxtools require 
- themes implementation
- new gfx directory and politics. needs new drakxtools

* Fri Feb 15 2002 dam's <damien@mandrakesoft.com> 0.95-2mdk
- added wait message

* Fri Feb 15 2002 dam's <damien@mandrakesoft.com> 0.95-1mdk
- new gfx, highlighting.

* Thu Feb 14 2002 dam's <damien@mandrakesoft.com> 0.92-4mdk
- snapshot

* Thu Feb 14 2002 dam's <damien@mandrakesoft.com> 0.92-3mdk
- snapshot. Bug corrections, code cleanup

* Tue Feb 12 2002 dam's <damien@mandrakesoft.com> 0.92-2mdk
- snapshot

* Thu Feb  7 2002 dam's <damien@mandrakesoft.com> 0.92-1mdk
- bug correction, more features working.

* Tue Feb  5 2002 dam's <damien@mandrakesoft.com> 0.90-5mdk
- big improvment : embedded and logs work.

* Tue Jan 29 2002 dam's <damien@mandrakesoft.com> 0.90-4mdk
- control-center improved (better icon positioning)
- changed xpm to png.

* Sun Jan 27 2002 Pixel <pixel@mandrakesoft.com> 0.90-3mdk
- remove logdrake (moved to drakxtools)

* Fri Jan 25 2002 dam's <damien@mandrakesoft.com> 0.90-2mdk
- bug correction

* Wed Jan 23 2002 dam's <damien@mandrakesoft.com> 0.90-1mdk
- major code update

* Fri Jan 11 2002 dam's <damien@mandrakesoft.com> 0.89-5mdk
- minor correctsion

* Wed Jan  9 2002 dam's <damien@mandrakesoft.com> 0.89-4mdk
- updated require
- corrected wizard package mode.

* Tue Jan  8 2002 dam's <damien@mandrakesoft.com> 0.89-3mdk
- little improvment

* Tue Jan  8 2002 dam's <damien@mandrakesoft.com> 0.89-2mdk
- pixmap added

* Mon Jan  7 2002 dam's <damien@mandrakesoft.com> 0.89-1mdk
- improvment, correction. Still alpha, don't use seriously.
- sdupont still sux, pixmap added.

* Sun Dec 30 2001 Yves Duret <yduret@mandrakesoft.com> 0.70-16mdk
- sync with cvs : sdupont sux, stagiaire sux.

* Sat Dec 22 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 0.70-15mdk
- remove obsolete require drakfont >= 0.58-11mdk 

* Mon Nov 12 2001 Yves Duret <yduret@mandrakesoft.com> 0.70-14mdk
- rebuild, added url tag, sir rpmlint happier

* Mon Sep 24 2001 dam's <damien@mandrakesoft.com> 0.70-13mdk
- corrected showing xplug

* Fri Sep 21 2001 dam's <damien@mandrakesoft.com> 0.70-12mdk
- print.pm now included in the package

* Fri Sep 21 2001 dam's <damien@mandrakesoft.com> 0.70-11mdk
- snapshot. printerdrake not embedded anymore

* Wed Sep 19 2001 dam's <damien@mandrakesoft.com> 0.70-10mdk
- snapshot

* Fri Sep 14 2001 dam's <damien@mandrakesoft.com> 0.70-9mdk
- bugfix, snapshot for RC.

* Mon Sep  3 2001 Yves Duret <yduret@mandrakesoft.com> 0.70-8mdk
- logdrake: added --word=foo option
- logdrake: removed neddless ok button
- mcc: diskdrake gtk plug and no more x plug
- mcc: added few icons

* Tue Aug 28 2001 Yves Duret <yduret@mandrakesoft.com> 0.70-7mdk
- mcc: added diskdrake. WARNING: diskdrake crashes with icewm-gnome
- logdrake: fix window size in embedded mode

* Mon Aug 27 2001 Yves Duret <yduret@mandrakesoft.com> 0.70-6mdk
- added prosuite-corporate-java-wizard
- logdrake: added save command (support request)
- bugs fixing (specially the "Use of uninitialized value in subroutine entry" one !)

* Wed Aug 22 2001 Yves Duret <yduret@mandrakesoft.com> 0.70-5mdk
- removed all the data dumper debugging stuff..

* Tue Aug 21 2001 Yves Duret <yduret@mandrakesoft.com> 0.70-4mdk
- new snapshot : should fix all the console related bug (i hope!)
- Mandrake Linux splash
- fix Mandrake{Campus,Expert} links in menu

* Thu Aug 16 2001 Yves Duret <yduret@mandrakesoft.com> 0.70-3mdk
- re-added all mo files thanx to pablo

* Wed Aug 15 2001 Yves Duret <yduret@mandrakesoft.com> 0.70-2mdk
- renamed to drakconf
- new logdrake
- added in MandrakeControlCenter : drakautoinst
- fixed many bugs (kde crash, menu, i18n ..)

* Fri Aug 10 2001 Yves Duret <yduret@mandrakesoft.com> 0.70-1mdk
- snapshot for Mandrake Linux 8.1
- new icons, a console is now embedded, added logdrake
- spec : s/Copyrght/License/, macros

* Wed May 30 2001 Daouda LO <daouda@mandrakesoft.com> 0.62-1mdk
- snapshot -> 0.62
- add linuxconf in System.

* Tue Apr 17 2001 dam's <damien@mandrakesoft.com> 0.61-44mdk
- snapshot. RC2

* Mon Apr 16 2001 dam's <damien@mandrakesoft.com> 0.61-43mdk
- snapshot. RC

* Mon Apr 16 2001 dam's <damien@mandrakesoft.com> 0.61-42mdk
- snapshot

* Fri Apr 13 2001 Daouda LO <daouda@mandrakesoft.com> 0.61-41mdk
- snapshot (bug fixes )

* Fri Apr 13 2001 Daouda LO <daouda@mandrakesoft.com> 0.61-40mdk
- don't allow user to launch DrakConf in unpriviledged mode  

* Thu Apr 12 2001 Daouda LO <daouda@mandrakesoft.com> 0.61-39mdk
- update code ( display popup error msg if browser isn't set for any reasons )

* Thu Apr 12 2001 dam's <damien@mandrakesoft.com> 0.61-38mdk
- rpmdrake cleaner launching when using translated languages (fr, de ...)

* Tue Apr 10 2001 Daouda LO <daouda@mandrakesoft.com> 0.61-37mdk
- freshened po .
- polishing...

* Tue Apr 10 2001 Daouda LO <daouda@mandrakesoft.com> 0.61-36mdk
- duplicate menus fixed when translated (?)

* Mon Apr  9 2001 dam's <damien@mandrakesoft.com> 0.61-35mdk
- snapshot

* Mon Apr  9 2001 Daouda LO <daouda@mandrakesoft.com> 0.61-34mdk
- snapshot
- reput printerdrake 
- setup linked to DrakConf
- fix Menu title to better reflect package achievement.
- fix requires.   

* Sat Apr  7 2001 dam's <damien@mandrakesoft.com> 0.61-33mdk
- snapshot. updated requires.

* Fri Apr  6 2001 Daouda LO <daouda@mandrakesoft.com> 0.61-32mdk
- cvs snapshot
- Safe links to MandrakeCampus and MandrakeExpert in menu .

* Tue Apr  3 2001  Daouda Lo <daouda@mandrakesoft.com> 0.61-31mdk
- new menu icons .

* Tue Apr  3 2001  Daouda Lo <daouda@mandrakesoft.com> 0.61-30mdk
- No need to launch DrakConf through a terminal 

* Thu Mar 29 2001 Daouda Lo <daouda@mandrakesoft.com> 0.61-29mdk
- Now you can launch DrakConf by typing mcc (standing for Mandrake Control Center)

* Wed Mar 28 2001 dam's <damien@mandrakesoft.com> 0.61-28mdk
- readded boot disk

* Mon Mar 26 2001 dam's <damien@mandrakesoft.com> 0.61-27mdk
- updated requires

* Sat Mar 24 2001 dam's <damien@mandrakesoft.com> 0.61-26mdk
- synch with drakxtools.

* Sat Mar 24 2001 dam's <damien@mandrakesoft.com> 0.61-25mdk
- readded service.png

* Sat Mar 24 2001 dam's <damien@mandrakesoft.com> 0.61-24mdk
- use cvs DrakConf.spec

* Fri Mar 23 2001 dam's <damien@mandrakesoft.com> 0.61-23mdk
- corrected bad require

* Fri Mar 23 2001 dam's <damien@mandrakesoft.com> 0.61-22mdk
- included tinyfirewall

* Wed Mar 21 2001 dam's <damien@mandrakesoft.com> 0.61-21mdk
- corrected bad execution path.

* Tue Mar 20 2001 dam's <damien@mandrakesoft.com> 0.61-20mdk
- requires updated for new drakxtools and drakfont.

* Tue Mar 20 2001 dam's <damien@mandrakesoft.com> 0.61-19mdk
- updated requires.
- DrakConf crash bug corrected by daouda.

* Wed Mar 14 2001 dam's <damien@mandrakesoft.com> 0.61-18mdk
- corrected bad use in perl script

* Wed Mar 14 2001 dam's <damien@mandrakesoft.com> 0.61-17mdk
- new icons

* Wed Mar 14 2001 Daouda Lo <daouda@mandrakesoft.com> 0.61-16mdk
- workaround  for this *$^ DrakConf crash bug.

* Mon Mar 12 2001 dam's <damien@mandrakesoft.com> 0.61-15mdk
- updated requires

* Mon Mar 12 2001 dam's <damien@mandrakesoft.com> 0.61-14mdk
- corrected requires

* Mon Mar 12 2001 dam's <damien@mandrakesoft.com> 0.61-13mdk
- new drakxservices included.

* Fri Mar  9 2001 dam's <damien@mandrakesoft.com> 0.61-12mdk
- No more DrakeLogo
- new icons, wait message.

* Wed Mar  7 2001  Daouda Lo <daouda@mandrakesoft.com> 0.61-11mdk
- fix pam authentification typo

* Wed Mar  7 2001 dam's <damien@mandrakesoft.com> 0.61-10mdk
- corrected requires

* Tue Mar  6 2001 dam's <damien@mandrakesoft.com> 0.61-9mdk
- bug fix, improvement.

* Tue Feb 27 2001 dam's <damien@mandrakesoft.com> 0.61-8mdk
- TERM signal handling.

* Tue Feb 27 2001 dam's <damien@mandrakesoft.com> 0.61-7mdk
- some bug fix, new pixmaps.

* Mon Feb 12 2001  Daouda Lo <daouda@mandrakesoft.com> 0.61-6mdk
- corrected typo 

* Mon Feb 12 2001  Daouda Lo <daouda@mandrakesoft.com> 0.61-5mdk
- release 5mdk .

* Mon Feb 12 2001 Daouda Lo <daouda@mandrakesoft.com> 0.61-4mdk
- features add-ons 

* Fri Feb 9 2001 Daouda Lo <daouda@mandrakesoft.com> 0.61-3mdk
- fix typo in description .

* Thu Feb  8 2001 dam's <damien@mandrakesoft.com> 0.61-2mdk
- corrected require

* Thu Feb  8 2001 dam's <damien@mandrakesoft.com> 0.61-1mdk
- added application killing when leaving.

* Thu Feb  8 2001 dam's <damien@mandrakesoft.com> 0.60-1mdk
- new version. Should crash.

* Fri Dec 29 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.53-1mdk
- this versions uses UTF-8 for the *.rc files, and does, if needed, the
  conversion to the user's charset

* Fri Oct  6 2000 DindinX <odin@mandrakesoft.com> 0.52-41mdk
- Completly get rid of kdesu

* Fri Oct  6 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.52-40mdk
- added requirement for usermode

* Fri Oct  6 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.52-39mdk
- last update to consolehelper configuration (renaming of the original 
  binary)

* Thu Oct  5 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.52-38mdk
- one more update for pam configuration, to allow the link 
  to consolehelper be DrakConf with caps
- fix rpmdrake calling path (fix 651)

* Thu Oct  5 2000 DindinX <odin@mandrakesoft.com> 0.52-37mdk
- fix menu entry to use drakconf-auth
- update liveupdate description

* Thu Oct  5 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.52-36mdk
- corrected pam configuration (pam_authenticate has problems 
  with caps in services names)
- Added an rc for livedrake (fix 599)
- s/Outils de dmarrage/Gestion de dmarrage/ (fix 627)

* Wed Oct 04 2000 DindinX <odin@mandrakesoft.com> 0.52-35mdk
- rc fixes
- linuxconf launch /sbin/linuxconf
- New icons from LN
- back to kdesu, since pam does not want to work :(

* Tue Oct 03 2000 DindinX <odin@mandrakesoft.com> 0.52-34mdk
- resurect LinuxConf
- small rc fix

* Tue Oct 03 2000 DindinX <odin@mandrakesoft.com> 0.52-33mdk
- Change some rc entry (suggestion from gc)
- use pam instead of kdesu

* Tue Oct 03 2000 DindinX <odin@mandrakesoft.com> 0.52-32mdk
- change Mandrake to Linux-Mandrake in the rc files

* Mon Oct 02 2000 DindinX <odin@mandrakesoft.com> 0.52-31mdk
- fix menudrake calling (for system menu)
- update some rc

* Mon Oct 02 2000 DindinX <odin@mandrakesoft.com> 0.52-30mdk
- fix french translation of draknet (fix bug 469)
- update translations of other rc

* Fri Sep 29 2000 DindinX <odin@mandrakesoft.com> 0.52-29mdk
- new icons

* Fri Sep 29 2000 DindinX <odin@mandrakesoft.com> 0.52-28mdk
- Small rc fixes

* Thu Sep 28 2000 DindinX <odin@mandrakesoft.com> 0.52-27mdk
- change adduserdrake for userdrake

* Thu Sep 28 2000 DindinX <odin@mandrakesoft.com> 0.52-26mdk
- small UI changes
- updated po

* Fri Sep 15 2000 DindinX <odin@mandrakesoft.com> 0.52-25mdk
- fix a problem with i18n of some language (Pablo)
- updated po (Pablo)
- work around a perl bug (Chmouel)

* Mon Sep 11 2000 DindinX <odin@mandrakesoft.com> 0.52-24mdk
- Small UI changes
- Added menudrake, draknet and drakgw

* Mon Aug 28 2000 DindinX <odin@mandrakesoft.com> 0.52-23mdk
- use %%lang
- use noreplace with %%config for rc files

* Fri Aug 25 2000 DindinX <odin@mandrakesoft.com> 0.52-22mdk
- Remove the border of the info notebook
- po updates

* Thu Aug 24 2000 David BAUDENS <baudens@mandrakesoft.com> 0.52-21mdk
- Fix macro disaster

* Sun Aug 13 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.52-20mdk
- fixing %post script

* Tue Aug 08 2000 DindinX <odin@mandrakesoft.com> 0.52-19mdk
- fix BuildRequires (Fred sucks)
- BM
- New harddrake.rc

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.52-18mdk
- automatically added BuildRequires

* Tue May  9 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.52-17mdk
- added require to kdesu

* Wed May  3 2000 DindinX <odin@mandrakesoft.com> 0.52-16mdk
- Added Mandrake Update

* Fri Apr 28 2000 DindinX <odin@mandrakesoft.com> 0.52-15mdk
- Added a 32x32 and a 48x48 icons

* Fri Apr 28 2000 DindinX <odin@mandrakesoft.com> 0.52-14mdk
- remove icon menu path

* Thu Apr 20 2000 DindinX <odin@mandrakesoft.com> 0.52-13mdk
- Put a better looking logo
- Remove kpackage

* Wed Apr 19 2000 warly <warlyn@mandrakesoft.com> 0.52-12mdk
- remove this f****ng bl***y bast*** logo

* Wed Apr 19 2000 warly <warlyn@mandrakesoft.com> 0.52-11mdk
- really remove logo

* Wed Apr 19 2000 warly <warly@mandrakesoft.com> 0.52-10mdk
- remove some logos

* Wed Apr 19 2000 DindinX <odin@mandrakesoft.com> 0.52-9mdk
- remove drakbootdisk (merge with drakboot)

* Tue Apr 18 2000 DindinX <odin@mandrakesoft.com> 0.52-8mdk
- Added an entry drakboot

* Mon Apr 17 2000 DindinX <odin@mandrakesoft.com> 0.52-7mdk
- Added an entry for drakbootdisk
- only read .rc files

* Tue Apr 11 2000 DindinX <odin@mandrakesoft.com> 0.52-6mdk
- Added nice icons from Hlne

* Mon Apr 10 2000 DindinX <odin@mandrakesoft.com> 0.52-5mdk
- Better handling of different resolutions

* Sat Apr  8 2000 DindinX <odin@mandrakesoft.com> 0.52-4mdk
- Fix the grammar in the Desc.
- Added rpmdrake and drakfont.
- rename lothar to harddrake.

* Sat Apr  8 2000 DindinX <odin@mandrakesoft.com> 0.52-3mdk
- Add a %config tag to make rpmlint happy

* Fri Mar 31 2000 DindinX <odin@mandrakesoft.com> 0.52-2mdk
- Menu group back to /Configuration/Other :(

* Fri Mar 31 2000 DindinX <odin@mandrakesoft.com> 0.52-1mdk
- New version w/ support for 640x480 screens
- Spec update
- Change Group
- Add menu

* Mon Mar 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.51-1mdk
- Requires true perl when using Getopt::Long.

* Sun Mar 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.51-1mdk
- DrakConf.pm (usage): parse arguments with Getopt::Long;
- DrakConf.pm: Now use a directory and one config file for entry.

* Tue Feb 29 2000 DindinX <odin@mandrakesoft.com> 0.50-1mdk
- Use a more usefull version number...

* Mon Feb 28 2000 DindinX <odin@mandrakesoft.com> 0.34-2mdk
- Added a "close" button

* Tue Jan 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.37-1mdk
- po/lothar.rc: Exclusivearchs: i386
- DrakConf.pm (get_arch): add ability to do Exclusivearchs for 
  certain program.

* Wed Jan 12 2000 Franois PONS <fpons@mandrakesoft.com>
- remove provide control-panel.

* Fri Jan  7 2000 Pixel <pixel@mandrakesoft.com>
- DrakConf.c (main): add setlocale call for i18n

* Tue Jan  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.34-10mdk
- respawn with kdesu if launching as user.

* Mon Jan  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove Obsoletes and Provides control-panel.

* Mon Jan 03 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- po/*lothar*: add blank line in the end of file.

* Mon Dec 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- create the temporary file in ~tmp/ for obvious
  security reasons, also fix an improbable but possible
  race conditions.

* Mon Dec 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- po/*: adjust & change.
- diskdrake.pm: can do eval of perl code in config files.
- DrakConf.pm: Try better to find the language.
- pics/*diskdrake: new icon.
- DrakConf.c: create a temporary file when 'exec'ing a tool (dinx)
- DrakConf.c: fix a very stupid bug in the tests for existing tools (dinx).

* Fri Dec 24 1999 Pixel <pixel@mandrakesoft.com>
- add obsoletes control-panel

* Mon Dec 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- DrakConf.c: remove the obsolete translation of '' into ' '
- DrakConf.rc: Add a lot of i18n translations from pablo
- DrakConf.rc: s|/sbin/netconf|/bin/netconf|;
- DrakConf.rc: remove the .
- DrakConf.pm: fix bad call.
- pics/*mouse*.xpm: new icon from helene.
- pics/*keyboard*.xpm: new icon from helene.
- pics/*drake*.xpm: new icon from helene.
- pics/*lothar*.xpm: new icon from helene.
- DrakConf.pm: Parse better arguments.

* Sun Dec 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- French and Spanish Description (camille).
- strip binaries.

* Sat Dec 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com> 
- Makefile: dist rpm.
- DrakConf.pm: Rewrite the parser.
- DrakConf.(c|pm): add a test mode.
- pics/*: clean name and add icones (helene).
- DrakConf.rc: cleaning.

* Thu Dec 16 1999 Pixel <pixel@mandrakesoft.com>
- Makefile (dis): changed to ignore pics/unused
- DrakConf.rc: many change
- pics/*: additions and modifications

* Thu Dec 16 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add many changes (see the ChangeLog).

* Fri Dec 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- First spec file.

# end of file
